package cn.iocoder.yudao.module.member.controller.app.userScore.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@ApiModel("用户 APP - 会员积分基本信息返回 VO")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppMemberUserScoreInfoRespVO {
    @ApiModelProperty(value = "会员id")
    private Long id;
    @ApiModelProperty(value = "当前积分")
    private Integer holdScore;
    @ApiModelProperty(value = "已兑换积分")
    private Integer usedScore;
    @ApiModelProperty(value = "历史总积分")
    private Integer totalScore;
    @ApiModelProperty(value = "会员等级名称")
    private String levelName;
}
